Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037734
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2018-01-26 10:202018-02-22 18:19
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisiona62c74e6424a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037734: High Availability in Import Entries

DescriptionBeing in a clustered environment, currently it is only supported to process the import entries just in one node of the cluster. If that node fails or it is shut down, then the import entries will not be processed until that node is restarted.

It would be nice if the import entry process would be high available by having a mechanism that detects if the node in charge of handling the import entries fails, and it that case it would be able to select another available node in the cluster to continue with the processing.

See: http://wiki.openbravo.com/wiki/Projects:Import_Entry_High_Availability [^]
Steps To ReproduceIn description
Tagsclustering
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0034490 acknowledgedplatform [clustering] Support clustering 

-  Notes
(0102086)
hgbot (developer)
2018-01-31 10:46

Repository: erp/devel/pi
Changeset: a62c74e6424a0cdb468c7eb635efd64385855b26
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jan 31 10:37:42 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a62c74e6424a0cdb468c7eb635efd64385855b26 [^]

fixes issue 37734: High Availability in Import Entries

---
M src-core/src/org/openbravo/base/ConfigParameters.java
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_WINDOW.xml
M src-test/.project
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportProcessContextListener.java
A src-db/database/model/tables/AD_CLUSTER_SERVICE.xml
A src-db/database/model/tables/AD_CLUSTER_SERVICE_SETTINGS.xml
A src/org/openbravo/cluster/ClusterService.java
A src/org/openbravo/cluster/ClusterServiceManager.java
A src/org/openbravo/cluster/ClusterService_data.xsql
A src/org/openbravo/cluster/JmxClusterServiceManager.java
A src/org/openbravo/cluster/JmxClusterServiceManagerMBean.java
A src/org/openbravo/service/importprocess/ImportEntryClusterService.java
---
(0102171)
hgbot (developer)
2018-02-05 10:04

Repository: erp/devel/pi
Changeset: 63b0c365919904afe8e8ddb283bb9e1dd5a17b0f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Feb 05 10:01:27 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/63b0c365919904afe8e8ddb283bb9e1dd5a17b0f [^]

related to issue 37734: Protection against ping disabling + minor improvements

---
M src/org/openbravo/cluster/ClusterService.java
M src/org/openbravo/cluster/ClusterServiceManager.java
M src/org/openbravo/cluster/ClusterService_data.xsql
M src/org/openbravo/cluster/JmxClusterServiceManager.java
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0102240)
hgbot (developer)
2018-02-07 09:55

Repository: erp/devel/pi
Changeset: a630837363ea0c39d4ba1314d180c34720f82886
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Feb 07 09:50:38 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a630837363ea0c39d4ba1314d180c34720f82886 [^]

related to issue 37734: use getClusterServices() method in ClusterServiceThread

 This allows us to make more extensible the ClusterServiceManager for testing purposes.

---
M src/org/openbravo/cluster/ClusterServiceManager.java
---
(0102291)
alostale (developer)
2018-02-09 09:18

reviewed as part of the project
(0102700)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102714)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102727)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-26 10:20 caristu New Issue
2018-01-26 10:20 caristu Assigned To => caristu
2018-01-26 10:20 caristu Modules => Core
2018-01-26 10:20 caristu Triggers an Emergency Pack => No
2018-01-30 09:36 alostale Relationship added related to 0034490
2018-01-31 10:46 hgbot Checkin
2018-01-31 10:46 hgbot Note Added: 0102086
2018-01-31 10:46 hgbot Status new => resolved
2018-01-31 10:46 hgbot Resolution open => fixed
2018-01-31 10:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a62c74e6424a0cdb468c7eb635efd64385855b26 [^]
2018-01-31 10:47 caristu Review Assigned To => alostale
2018-02-02 14:44 caristu Tag Attached: clustering
2018-02-05 10:04 hgbot Checkin
2018-02-05 10:04 hgbot Note Added: 0102171
2018-02-07 09:55 hgbot Checkin
2018-02-07 09:55 hgbot Note Added: 0102240
2018-02-09 09:18 alostale Note Added: 0102291
2018-02-09 09:18 alostale Status resolved => closed
2018-02-09 09:18 alostale Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102700
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102714
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102727


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker